[arch-commits] Commit in libxevie/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 02:19:09 EDT 2009


    Date: Tuesday, April 14, 2009 @ 02:19:09
  Author: eric
Revision: 35596

Merged revisions 35591 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxevie/trunk

........
  r35591 | eric | 2009-04-14 01:57:43 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxevie 1.0.2-2
      Added license, FHS man pages
........

Modified:
  libxevie/repos/extra-i686/	(properties)
  libxevie/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: libxevie/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxevie/trunk:1-20838
   + /libxevie/trunk:1-35595

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-14 06:09:57 UTC (rev 35595)
+++ extra-i686/PKGBUILD	2009-04-14 06:19:09 UTC (rev 35596)
@@ -3,10 +3,11 @@
 
 pkgname=libxevie
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 EvIE extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxext')
 makedepends=('pkgconfig' 'evieext')
 options=('!libtool')
@@ -14,9 +15,10 @@
 md5sums=('88e9bf535364e7c821ef4014fb1ca2dd')
 
 build() {
-  cd ${startdir}/src/libXevie-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
+  cd ${srcdir}/libXevie-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list